"use client";
import { useSelector } from "react-redux";
import Inner from "./Inner";
import { AuthState } from "../wallet/page";
import { redirect } from "next/navigation";

const Page = () => {
  const user = useSelector((state: { auth: AuthState }) => state.auth.user);
  if (!user) {
    redirect("/");
  }
  return (
    <div>
      <Inner />
    </div>
  );
};

export default Page;
